package com.bonus.material.order.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.comprehensive.entity.RentDetailDto;
import com.bonus.material.device.domain.vo.DevInfoVo;
import com.bonus.material.largeScreen.entity.OrderData;
import com.bonus.material.order.domain.OrderDetailDto;
import com.bonus.material.order.domain.OrderInfoDto;
import com.bonus.material.order.domain.ProDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/11/26 - 10:34
 */
public interface OrderService {

    Integer submitOrderInfo(ProDto proDto);

    List<OrderInfoDto> getOrderDetails(OrderInfoDto orderInfoDto) throws Exception;

    OrderInfoDto getOrderDetailsById(OrderDetailDto dto) throws Exception;

    List<OrderInfoDto> getOrderStatusCount(OrderDetailDto dto) throws Exception;

    Integer updateOrderStatus(OrderDetailDto orderInfoDto);

    Integer inputCostRelief(OrderInfoDto orderInfoDto);

    Integer changeReliefPrice(OrderInfoDto orderInfoDto);

    OrderInfoDto getAgreementByOrderId(String orderId);

    List<RentDetailDto> getRentDetails(DevInfoVo devInfo);

    List<OrderInfoDto> getOrderInfos(OrderInfoDto orderInfoDto);

    OrderData getOrderData();

    OrderData getCompanysCost();

    /**
     * 获取单个订单取件码
     */
    int getOrderCode(OrderDetailDto dto);

    AjaxResult orderConfirm(String orderId);

    AjaxResult orderReject(String orderId);

    AjaxResult getCategoryList(String keyWord);
}
